# Smartphone research trends



## Description

This repository contains the analysis of the use of different platforms for mobile computing research published in ACM International Conference on Mobile Systems, Applications, and Services (MobiSys) and Conference on Embedded Networked Sensor Systems (SenSys) from 2013 to 2023 (inclusive). The goal of the work is to identify trends in platform usage with a particular focus on the use of the smartphone for mobile sensing research. 


## Data coding

A single author analysed all 376 papers published within the main conference track of ACM MobiSys and 321 papers published within the main conference track of ACM SenSys from 2013 to 2023. For each paper the platform(s), used within the research described in the paper, were noted. In case more than a single platform was used, all the platforms were counted equally within the final count presenting the platform prevalence within the published papers. In case the paper does not contain any implementation work (i.e. does not use an actual (mobile) hardware platform), it was encoded as "No implementation". 


Note: Papers using smartphone merely as a result reporting platform (e.g. an Android app is present, but its only purpose is to show information to a user and the research itself is not inherently smartphone-specific) were not counted as Android/iOS/WindowsMobile-based research. 


## Data format

For MobiSys, the data is presented with a summary Excel data spredsheet. The fields in the table are as follows:
- Year of the conference
- Android - number of papers using Android as the platform of choice.
- iOS - number of papers using iPhone as the platform of choice.
- Windows Mobile - number of papers using Windows Mobile as the platform of choice.
- RPi - number of papers using Raspberry PI as the platform of choice.
- Arduino - number of papers using Arduino as the platform of choice. 
- NVIDIA - number of papers using NVIDIA Single-board-computers (e.g. Jetson Nano) as the platform of choice. 
- Total - total number of papers in the main track of the conference.
- Other - breakdown of other platforms used.

For SenSys, an additional per-paper breakdown is presented in a separate sheet.


## Referencing 

If relying on this analysis, please cite: "Embracing Shifting Trends and Reviving Smartphone Sensing", Veljko Pejovic, in Submission 2024.